<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.shopping.mapper.GoodsSearchMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="goodsSearchResultMap" type="org.springblade.modules.shopping.entity.GoodsSearch">
        <result column="id" property="id"/>
        <result column="key_name" property="keyName"/>
        <result column="sort" property="sort"/>
        <result column="is_enable" property="isEnable"/>
    </resultMap>


    <select id="selectGoodsSearchPage" resultMap="goodsSearchResultMap">
        select * from t_goods_search
    </select>

</mapper>
